#! /bin/bash

set -e

. ./pika-build-config.sh

echo "$PIKA_BUILD_ARCH" > pika-build-arch

VERSION="0.23.0"

# Clone Upstream
git clone --recurse-submodules  https://github.com/WiVRn/WiVRn.git -b v0.23
cd WiVRn

apt-get install wget -y

wget https://gitlab.freedesktop.org/monado/monado/-/archive/848a24aa106758fd6c7afcab6d95880c57dbe450/monado-848a24aa106758fd6c7afcab6d95880c57dbe450.tar.gz
mkdir ./monado-src
tar xzf monado-*.tar.gz --strip-components=1 -C ./monado-src
cd ./monado-src
../patches/apply.sh ../patches/monado
cd ..

# Get build deps
LOGNAME=root dh_make --createorig -y -l -p WiVRn_"$VERSION" || echo "dh-make: Ignoring Last Error"
apt-get build-dep ./ -y
apt-get install librsvg2-bin qt6-declarative-dev extra-cmake-modules  libvulkan-dev libcjson-dev libx264-dev libavcodec-dev libavutil-dev libswscale-dev libavfilter-dev libbsd-dev  libwayland-dev libx11-xcb-dev libxrandr-dev libxcb-randr0-dev libgl-dev libglx-dev mesa-common-dev libgl1-mesa-dev libglu1-mesa-dev libsystemd-dev libva-dev nlohmann-json3-dev qt6-base-dev qt6-tools-dev libcap-dev policykit-1 libboost-all-dev librsvg2-bin libssl-dev libnotify-dev qt6-declarative-dev extra-cmake-modules libkirigami-dev libkf6i18n-dev libkf6coreaddons-dev libkf6qqc2desktopstyle-dev libkf6iconthemes-dev jq sudo cmake gcc g++ git qcoro-qt6-dev -y

# Build package
dpkg-buildpackage --build=binary --no-sign

# Move the debs to output
cd ../
mkdir -p ./output
mv ./*.deb ./output/
